Изменить пользовательское поле crm.invoice.userfield.update
Scope:
crmКто может выполнять метод: любой пользователь
DEPRECATED
Развитие метода остановлено. Используйте Универсальные методы для счетов.
Метод обновляет существующее пользовательское поле счетов.
Параметры метода
Обязательные параметры отмечены *
|
Название |
Описание |
|
id |
Идентификатор пользовательского поля |
|
fields |
Набор полей - массив вида |
|
LIST |
Содержит набор значений списка для пользовательских полей типа Список. Указывается при создании/обновлении поля. Каждое значение представляет собой массив с полями:
|
Примеры кода
cURL (Webhook)
cURL (OAuth)
JS
PHP
BX24.js
PHP CRest
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**", "fields": {"EDIT_FORM_LABEL": "**put_label_here**", "LIST_COLUMN_LABEL": "**put_label_here**"}}' \
https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.invoice.userfield.update
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**", "fields": {"EDIT_FORM_LABEL": "**put_label_here**", "LIST_COLUMN_LABEL": "**put_label_here**"}, "auth": "**put_access_token_here**"}' \
https://**put_your_bitrix24_address**/rest/crm.invoice.userfield.update
try
{
const id = prompt("Введите ID");
const label = prompt("Введите новое название");
const response = await $b24.callMethod(
"crm.invoice.userfield.update",
{
id: id,
fields: {
"EDIT_FORM_LABEL": label,
"LIST_COLUMN_LABEL": label
}
}
);
const result = response.getData().result;
console.dir(result);
if (response.more())
response.next();
}
catch( error )
{
console.error(error);
}
$id = $_POST['id'];
$label = $_POST['label'];
try {
$response = $b24Service
->core
->call(
'crm.invoice.userfield.update',
[
'id' => $id,
'fields' => [
'EDIT_FORM_LABEL' => $label,
'LIST_COLUMN_LABEL' => $label
]
]
);
$result = $response
->getResponseData()
->getResult();
echo 'Success: ' . print_r($result, true);
if ($response->more()) {
$response->next();
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error updating user field: ' . $e->getMessage();
}
var id = prompt("Введите ID");
var label = prompt("Введите новое название");
BX24.callMethod(
"crm.invoice.userfield.update",
{
id: id,
fields: {
"EDIT_FORM_LABEL": label,
"LIST_COLUMN_LABEL": label
}
},
function (result)
{
if (result.error())
console.error(result.error());
else
{
console.dir(result.data());
if (result.more())
result.next();
}
}
);
require_once('crest.php');
$id = $_REQUEST['id']; // Assuming ID is passed as a request parameter
$label = $_REQUEST['label']; // Assuming label is passed as a request parameter
$result = CRest::call(
'crm.invoice.userfield.update',
[
'id' => $id,
'fields' => [
'EDIT_FORM_LABEL' => $label,
'LIST_COLUMN_LABEL' => $label
]
]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
Скопировано